<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class DiscountConditionTypePropEnum
{
    public const FIELD_MIN_PRICE = 'minPrice';
    public const FIELD_BRANDS = 'brands';
    public const FIELD_CATEGORIES = 'categories';
    public const FIELD_OFFER = 'offer';
    public const FIELD_COUNT = 'count';
    public const FIELD_DELIVERY_METHODS = 'deliveryMethods';
    public const FIELD_PAYMENT_METHODS = 'paymentMethods';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::FIELD_MIN_PRICE,
            self::FIELD_BRANDS,
            self::FIELD_CATEGORIES,
            self::FIELD_OFFER,
            self::FIELD_COUNT,
            self::FIELD_DELIVERY_METHODS,
            self::FIELD_PAYMENT_METHODS,
        ];
    }
}
